import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'personRoom' },
})
export class PersonRoom extends BaseModel {
  @prop({ required: false, index: true, zh: '产品id' })
  product_id: string;
  @prop({ required: false, index: true, zh: '产品名称' })
  product_name: string;
  @prop({ required: false, index: true, zh: '第一个人id' })
  p1_id: string;
  @prop({ required: false, index: true, zh: '第一个人姓名' })
  p1_name: string;
  @prop({ required: false, index: true, zh: '第二个人id' })
  p2_id: string;
  @prop({ required: false, index: true, zh: '第二个人姓名' })
  p2_name: string;
  @prop({ required: false, index: true, zh: '最后发言时间' })
  last_time: string;
}
