import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { NewsColumn } from '../../entity/news/newsColumn.entity';
type modelType = ReturnModelType<typeof NewsColumn>;
@Provide()
export class NewsColumnService extends BaseService<modelType> {
  @InjectEntityModel(NewsColumn)
  model: modelType;
}
