import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { ProjectNotice } from '../../entity/project/projectNotice.entity';
type modelType = ReturnModelType<typeof ProjectNotice>;
@Provide()
export class ProjectNoticeService extends BaseService<modelType> {
  @InjectEntityModel(ProjectNotice)
  model: modelType;
}
