import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { DockExpert } from '../../entity/technology/dockExpert.entity';
type modelType = ReturnModelType<typeof DockExpert>;
@Provide()
export class DockExpertService extends BaseService<modelType> {
  @InjectEntityModel(DockExpert)
  model: modelType;
}
