import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { DockVideo } from '../../entity/technology/dockVideo.entity';
type modelType = ReturnModelType<typeof DockVideo>;
@Provide()
export class DockVideoService extends BaseService<modelType> {
  @InjectEntityModel(DockVideo)
  model: modelType;
}
