import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { TrainChat } from '../../entity/train/trainChat.entity';
type modelType = ReturnModelType<typeof TrainChat>;
@Provide()
export class TrainChatService extends BaseService<modelType> {
  @InjectEntityModel(TrainChat)
  model: modelType;
}
