import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { TrainVideo } from '../../entity/train/trainVideo.entity';
type modelType = ReturnModelType<typeof TrainVideo>;
@Provide()
export class TrainVideoService extends BaseService<modelType> {
  @InjectEntityModel(TrainVideo)
  model: modelType;
}
