import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { ChannelVideo } from '../../entity/channel/channelVideo.entity';
type modelType = ReturnModelType<typeof ChannelVideo>;
@Provide()
export class ChannelVideoService extends BaseService<modelType> {
  @InjectEntityModel(ChannelVideo)
  model: modelType;
}
