import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Product } from '../../entity/product/product.entity';
type modelType = ReturnModelType<typeof Product>;
@Provide()
export class ProductService extends BaseService<modelType> {
  @InjectEntityModel(Product)
  model: modelType;
}
