import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { ProjectInfo } from '../../entity/project/projectInfo.entity';
type modelType = ReturnModelType<typeof ProjectInfo>;
@Provide()
export class ProjectInfoService extends BaseService<modelType> {
  @InjectEntityModel(ProjectInfo)
  model: modelType;
}
