import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { SubscribeOrder } from '../../entity/subscribe/subscribeOrder.entity';
type modelType = ReturnModelType<typeof SubscribeOrder>;
@Provide()
export class SubscribeOrderService extends BaseService<modelType> {
  @InjectEntityModel(SubscribeOrder)
  model: modelType;
}
