import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Module } from '../../entity/system/module.entity';
type modelType = ReturnModelType<typeof Module>;
@Provide()
export class ModuleService extends BaseService<modelType> {
  @InjectEntityModel(Module)
  model: modelType;
}
