import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { DockChat } from '../../entity/technology/dockChat.entity';
type modelType = ReturnModelType<typeof DockChat>;
@Provide()
export class DockChatService extends BaseService<modelType> {
  @InjectEntityModel(DockChat)
  model: modelType;
}
